%define libname %mklibname xinerama 1
%define develname  %mklibname xinerama -d
%define staticname  %mklibname xinerama -s -d

Name: libxinerama
Summary: The Xinerama Library
Version: 1.1.5
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXinerama-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 7.5
BuildRequires: x11-util-macros >= 1.0.1
Obsoletes: 	%{name} < %version

%description
The Xinerama Library

#-----------------------------------------------------------

%package -n %{libname}
Summary: The Xinerama Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libname}
The Xinerama Library

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libname} = %{version}-%{release}
Requires: x11-proto-devel >= 7.5
Provides: libxinerama-devel = %{version}-%{release}
Provides: libxinerama1-devel = %{version}-%{release}
Obsoletes: %{mklibname xinerama 1 -d}

Conflicts: libxorg-x11-devel < 7.0
Conflicts: libxinerama-devel < 1.1

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libXinerama.so
%{_libdir}/pkgconfig/xinerama.pc
%{_includedir}/X11/extensions/*.h

#-----------------------------------------------------------

%package -n %{staticname}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} = %{version}-%{release}
Provides: libxinerama-static-devel = %{version}-%{release}
Provides: libxinerama1-static-devel = %{version}-%{release}
Obsoletes: %{mklibname xinerama 1 -s -d}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{staticname}
Static development files for %{name}

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/libXinerama.a

#-----------------------------------------------------------

%prep
%setup -q -n libXinerama-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %buildroot%{_libdir}/*.la

%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libXinerama.so.1
%{_libdir}/libXinerama.so.1.0.0
%_mandir/man3/*


%changelog
* Sat Oct 29 2022 tex - 1.1.5-1pclos2022
- new version

* Wed Jan 26 2022 tex - 1.1.4-5pclos2022
- rebuild against updates

* Thu Jun 24 2021 tex - 1.1.4-4pclos2021
- rebuild against updates

* Sun Mar 31 2019 tex - 1.1.4-3pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 1.1.4-2pclos2019
- rebuild against updates

* Wed Aug 01 2018 tex - 1.1.4-1pclos2018
- new version
